using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class VidasMan : MonoBehaviour
{
    public GameObject vidaPrefab; // Prefab del sprite de vida
    public Transform vidasParent; // Contenedor para las vidas
    public int maxVidas = 3; // Número máximo de vidas
    private List<GameObject> vidasActuales = new List<GameObject>(); // Lista de vidas activas

    // Start se llama al inicio del juego
    void Start()
    {
        // Crear las vidas iniciales
        for (int i = 0; i < maxVidas; i++)
        {
            AgregarVida();
        }
    }

    // Reducir una vida
    public void PerderVida()
    {
        if (vidasActuales.Count > 0)
        {

            int current = PlayerPrefs.GetInt("CurrentScore"); 
            int max = PlayerPrefs.GetInt("HighScore");
            if (current > max)
            {
                PlayerPrefs.SetInt("HighScore", current);

            }

            // Eliminar la última vida en la lista
            GameObject vida = vidasActuales[vidasActuales.Count - 1];
            vidasActuales.Remove(vida);
            Destroy(vida);
        }
    }

    // Agregar una vida (opcional si quieres un sistema de recuperación de vidas)
    public void AgregarVida()
    {
        if (vidasActuales.Count < maxVidas)
        {
            // Crear un nuevo sprite de vida
            GameObject nuevaVida = Instantiate(vidaPrefab, vidasParent);
            nuevaVida.transform.localPosition = new Vector3(vidasActuales.Count * 0.9f, 0, 0); // Espaciar las vidas
            vidasActuales.Add(nuevaVida);
        }
    }
}
